// $ajax({
//     method: 'post',
//     url: '',
//     data: {
//         a: "参数1",
//         b: "参数2"
//     },
//     aysn: true,
//     contentType: 'application/x-www-form-urlencoded',
//     success: function (row) {
//         var obj = JSON.parse(row)
//         console.log(obj, '成功数据');
//     },
//     error: function (row) {
//         var obj = JSON.parse(row)
//         console.log(obj, '失败数据');
//     }
// })

// ----
function $ajax({ method, url, data, aysn, contentType, success, error }) {
    var xhr = new XMLHttpRequest
    // data格式转换为参数形式
    data = queryString(data)

    // get传参判断
    // get方式且data有数据
    if (method == 'get' && data.length) {
        url += "?" + data
    }

    xhr.open(method, url, aysn)

    // 请求头信息判断 --- post方式专有，用于说明请求体的解码方式
    if (contentType) {
        xhr.setRequestHeader('Content-type', contentType)
    }

    // post传参判断
    if (method == 'get') {
        xhr.send()
    } else {
        xhr.send(data)
    }


    xhr.onreadystatechange = function () {
        if (xhr.readyState == 4 && xhr.status == 200) {
            // 请求成功
            success(xhr.responseText)
        }
         else {
            // 请求失败
            // error(xhr.responseText)
        }
    }
}

// 格式转换
function queryString(obj) {
    var str = ''
    for (const i in obj) {
        str += i + "=" + obj[i] + "&"
    }
    return str.substring(0, str.length - 1)
}